%define		http_version		68b9cf0
%define		idle_version		6aa092d
%define		js_version		a3630ba
%define		media_version		b2f5678
%define		promises_version	e6e5653
%define		updater_version		17b8f7b

Summary:	Minitube is a native YouTube client
Summary(hu.UTF-8):	Minitube egy natív YouTube kliens
Name:		minitube
Version:	3.9.3
Release:	2
License:	GPL v3
Group:		X11/Applications/Multimedia
Source0:	https://github.com/flaviotordini/minitube/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4ed30b58656f14a9266689cc760431d5
Source1:	https://github.com/flaviotordini/http/archive/%{http_version}/http-%{http_version}.tar.gz
# Source1-md5:	f530cab88fa9425029c387f1afe05861
Source2:	https://github.com/flaviotordini/idle/archive/%{idle_version}/idle-%{idle_version}.tar.gz
# Source2-md5:	67d891738ca9f45acddbadb9c9c0204d
Source3:	https://github.com/flaviotordini/js/archive/%{js_version}/js-%{js_version}.tar.gz
# Source3-md5:	a2172ded2f75b6292f6d99e5e0e28165
Source4:	https://github.com/flaviotordini/media/archive/%{media_version}/media-%{media_version}.tar.gz
# Source4-md5:	5eedd12aad57983407ebd3086cec03fb
Source5:	https://github.com/flaviotordini/promises/archive/%{promises_version}/promises-%{promises_version}.tar.gz
# Source5-md5:	d6db801932cd123563bec343ee05bd59
Source6:	https://github.com/flaviotordini/updater/archive/%{updater_version}/updater-%{updater_version}.tar.gz
# Source6-md5:	6e531f6cfb1c64f5261f73b9728753e1
Patch0:		mpv0.34.patch
URL:		https://flavio.tordini.org/minitube
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Declarative-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5X11Extras-devel
BuildRequires:	mpv-client-devel >= 0.29.0
BuildRequires:	phonon-qt5-devel
BuildRequires:	qt5-build >= 5.12
BuildRequires:	qt5-linguist >= 5.12
BuildRequires:	qt5-qmake >= 5.12
BuildRequires:	rpmbuild(macros) >= 2.016
Requires:	Qt5Sql-sqldriver-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Minitube is a native YouTube client. With it you can watch YouTube
videos in a new way: you type a keyword, Minitube gives you an endless
video stream. Minitube does not require the Flash Player.

%description -l hu.UTF-8
Minitube egy natív YouTube kliens. Ezzel egy új módon nézheted a
YouTube videókat: beírod a keresett kifejezést, és a Minitube egy
végtelen videó stream-et biztosít. A Minitube-nak nincs szüksége Flash
Player-re.

%prep
%setup -q -a1 -a2 -a3 -a4 -a5 -a6

for dir in http idle js media promises updater ; do
	%{__mv} $dir-*/* lib/$dir/
	%{__rm} -r $dir-*
done

%patch0 -p1

%build
%{qmake_qt5}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

INSTALL_ROOT=$RPM_BUILD_ROOT \
	%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/*/*/apps/%{name}.*
%{_datadir}/metainfo/org.tordini.flavio.minitube.metainfo.xml
%changelog
* Wed Nov 16 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/minitube.git;a=log;h=master

* Wed Nov 16 2022 Jan Palus <atler@pld-linux.org> 1960e87
- mpv rebuild

* Wed Nov 16 2022 Jan Palus <atler@pld-linux.org> f2c75a9
- fix build with mpv >= 0.34

* Sat May 14 2022 Jan Rękorajski <baggins@pld-linux.org> 93d99e0
- up to 3.9.3

* Mon Sep 23 2013 Jan Palus <jan.palus@gmail.com> 4f74630
- up to 2.1.3

* Tue Mar 20 2012 Zsolt Udvari <uzsolt@pld-linux.org> e04298e
- 1.7.1

* Fri Jan 13 2012 Tomasz Pala <gotar@pld-linux.org> 35ab484
- upgraded to 1.7, better License/Group, packaged %docs

* Sun Dec 04 2011 arvenil <arvenil@pld-linux.org> da03a3f
- up to 1.6

* Mon Oct 03 2011 Bartłomiej Zimoń <cactus@pld-linux.org> f50c593
- up to 1.5

* Thu Jun 16 2011 Zsolt Udvari <uzsolt@pld-linux.org> 6d64c70
- 1.4.3
- requires qt4-phonon-backend

* Tue May 03 2011 Bartłomiej Zimoń <cactus@pld-linux.org> ff426e0
- up to 1.4.2

* Tue Mar 01 2011 Zsolt Udvari <uzsolt@pld-linux.org> f1c3f80
- 1.4

* Thu Jan 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> 479f746
- delete icons/hicolor/512x512/apps directory
- rel 1.1

* Tue Jan 04 2011 Zsolt Udvari <uzsolt@pld-linux.org> c7260aa
- 1.3

* Tue Nov 02 2010 Zsolt Udvari <uzsolt@pld-linux.org> 0b1d41a
- 1.2

* Thu Jul 29 2010 Zsolt Udvari <uzsolt@pld-linux.org> 93a5bc3
- 1.1

* Sun Jun 13 2010 arvenil <arvenil@pld-linux.org> 3ba5c4c
- removed gstreamer requires; minitube uses phonon not gstreamer directly
  and phonon can use diffrent backends for example gstreamer or xine so don't
  require gstreamer packages because they can be useless when xine backend is
  in use. Also works fine with xine backend (except seek videos).

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> 1321351
- rel 2
- fixed desktop categories

* Wed May 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> 6fbc32f
- 1.0

* Sun Jan 24 2010 Zsolt Udvari <uzsolt@pld-linux.org> b920d75
- R gstreamer-ffmpeg, gstreamer-aac, phonon-backend-gstreamer
- removed TODO

* Sun Jan 24 2010 Zsolt Udvari <uzsolt@pld-linux.org> 8dcc5c1
- 0.9
- missed plugin - TODO

